Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys

From: Stefan Monnier <[email-masked]>
Date: Sat, 12 Dec 2015 23:16:42 -0500

> Stefan, can you summarize an argument for why it should change in 25.1?

Because it's better to get rid of all the C-u special case handling and
make C-u be a normal command so that GNU ELPA packages can implement
their own form of prefix command.

The immediate need for the new behavior is to be able to implement C-x
4 and C-x 5 as prefix argument (rather than keymaps) so as to be able to
get rid of all the foo-other-window and foo-other-frame and the
concomitant need to find key bindings for them.

        Stefan